package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphProRankingAll;

/**
 * 总学分绩排名Service接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface ICphProRankingAllService extends IService<CphProRankingAll> {

    public String importData(List<CphProRankingAll> list);

    /**
     * 查询总学分绩排名
     *
     * @param id 总学分绩排名主键
     * @return 总学分绩排名
     */
    public CphProRankingAll selectCphProRankingAllById(Long id);

    /**
     * 查询总学分绩排名列表
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 总学分绩排名集合
     */
    List<CphProRankingAll> selectCphProRankingAllList(CphProRankingAll cphProRankingAll);

    /**
     * 新增总学分绩排名
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 结果
     */
    int insertCphProRankingAll(CphProRankingAll cphProRankingAll);

    /**
     * 修改总学分绩排名
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 结果
     */
    int updateCphProRankingAll(CphProRankingAll cphProRankingAll);

    /**
     * 批量删除总学分绩排名
     *
     * @param ids 需要删除的总学分绩排名主键集合
     * @return 结果
     */
    int deleteCphProRankingAllByIds(Long[] ids);

    /**
     * 删除总学分绩排名信息
     *
     * @param id 总学分绩排名主键
     * @return 结果
     */
    int deleteCphProRankingAllById(Long id);
}
